\documentclass{standalone}
\usepackage{pgf,tikz,pgfplots}
\input{couleur.sty}



\begin{document}

\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-4.5,0.5) rectangle (2.5,4.5);
\fill[line width=1.5pt,fill=A3,fill opacity=1] (-4,1) -- (-2,1) -- (1,3) -- (1,4) -- (-1,4) -- (-4,2) -- cycle;
\draw [line width=1.5pt] (-2,1)-- (1,3);
\draw [line width=1.5pt] (1,3)-- (1,4);
\draw [line width=1.5pt] (1,4)-- (-1,4);
\draw [line width=1.5pt] (-1,4)-- (-4,2);
\draw [line width=1.5pt] (-4,2)-- (-4,1);
\draw [line width=1.5pt] (-4,1)-- (-2,1);
\draw [line width=1.5pt] (-2,1)-- (-2,2);
\draw [line width=1.5pt] (-2,2)-- (-4,2);
\draw [line width=1.5pt] (-2,2)-- (1,4);
\draw [line width=1.5pt,mydashed] (-1,3)-- (-4,1);
\draw [line width=1.5pt,mydashed] (-1,4)-- (-1,3);
\draw [line width=1.5pt,mydashed] (-1,3)-- (1,3);
\draw [line width=1.5pt] (-4,1)-- (-2,1);
\draw [line width=1.5pt] (-2,1)-- (1,3);
\draw [line width=1.5pt] (1,3)-- (1,4);
\draw [line width=1.5pt] (1,4)-- (-1,4);
\draw [line width=1.5pt] (-1,4)-- (-4,2);
\draw [line width=1.5pt] (-4,2)-- (-4,1);
\end{tikzpicture}
\end{document}